/******************************************************************************
/*   This file is part of the game Various Burst.
 *
 *   Various Burst is free software: you can redistribute it and/or modify it
 *   under the terms of the WTF Public License.
 *
 *   Virus Burst is distributed in the hope that players will find it enjoyable,
 *   emotive, educational even, but with NO WARRANTY of any kind. What happens
 *   to your Pandora, your dog or your sanity as a result of this is solely
 *   YOUR responsibility.
 *
 *   You should have received a copy of the WTF Public License
 *   along with the game (please see the file COPYING).  If not,
 *   please refer to <http://www.wtfpl.net/about/>.
 */

#ifndef     __BLENDERS_H
   #define  __BLENDERS_H
   #define  MAX_INTENSITY   64
   inline   uint16_t BLEND_lightmap16(uint16_t dst, uint16_t src, uint16_t factor);
   inline   uint16_t BLEND_desat16(uint16_t dst, uint16_t src, uint16_t factor);
   inline   uint16_t BLEND_add16(uint16_t dst, uint16_t src, uint16_t factor);
   inline   uint16_t BLEND_sub16(uint16_t dst, uint16_t src, uint16_t factor);
#endif
