/******************************************************************************
/*   This file is part of the game Various Burst.
 *
 *   Various Burst is free software: you can redistribute it and/or modify it
 *   under the terms of the WTF Public License.
 *
 *   Various Burst is distributed in the hope that players will find it enjoyable,
 *   emotive, educational even, but with NO WARRANTY of any kind. What happens
 *   to your Pandora, your dog or your sanity as a result of this is solely
 *   YOUR responsibility.
 *
 *   You should have received a copy of the WTF Public License along with the
 *   source code to the game (please see the file COPYING).  If not, please refer to
 *   <http://www.wtfpl.net/about/>.
 */
#ifndef     DEADEFFECT_H
   #define  DEADEFFECT_H
   #include "common.h"

   #define  DEADEFFECT_STATE_INACTIVE        0
   #define  DEADEFFECT_STATE_SLIDE_IN        1
   #define  DEADEFFECT_STATE_WAIT_USER       2
   #define  DEADEFFECT_STATE_SLIDE_OUT       3
   #define  DEADEFFECT_STATE_DONE            4


   void DEADEFFECT_load(void);
   void DEADEFFECT_unload(void);
   void DEADEFFECT_init(void);
   void DEADEFFECT_start(void);
   void DEADEFFECT_tick(void);
   void DEADEFFECT_draw(void);
   unsigned DEADEFFECT_get_state(void);
#endif
