/******************************************************************************
/*   This file is part of the game Various Burst.
 *
 *   Various Burst is free software: you can redistribute it and/or modify
 *   it under the terms of the WTF Public License.
 *
 *   Various Burst is distributed in the hope that players will find it
 *   enjoyable, emotive, educational even, but with NO WARRANTY of any
 *   kind.  What happens to your computer, your dog or your sanity as
 *   a result of this is solely YOUR responsibility.
 *
 *   You should have received a copy of the WTF Public License
 *   along with the game (please see the file COPYING).  If not,
 *   please refer to <http://www.wtfpl.net/about/>.
 */


#ifndef     INPUT_H
   #define  INPUT_H

   #include "common.h"

    #define     BTN_INACTIVE    0
    #define     BTN_PRESSED     1
    #define     BTN_HELD        2

    extern unsigned JOY_UP;
    extern unsigned JOY_DOWN;
    extern unsigned JOY_LEFT;
    extern unsigned JOY_RIGHT;

    extern unsigned FIRE_A;
    extern unsigned FIRE_B;
    extern unsigned FIRE_X;
    extern unsigned FIRE_Y;
    extern unsigned FIRE_L;
    extern unsigned FIRE_R;

    extern unsigned FIRE_START;
    extern unsigned FIRE_SELECT;

    /******************************************************************************/

    void INPUT_open_devices(void);
    void INPUT_close_devices(void);
    void INPUT_reset(void);
    void INPUT_poll(void);
#endif

