/******************************************************************************
/*   This file is part of the game Virus Burst.
 *
 *   Illuminous is free software: you can redistribute it and/or modify
 *   it under the terms of the WTF Public License.
 *
 *   Illuminous is distributed in the hope that players will find it
 *   enjoyable, emotive, educational even, but with NO WARRANTY of any
 *   kind.  What happens to your computer, your dog or your sanity as
 *   a result of this is solely YOUR responsibility.
 *
 *   You should have received a copy of the WTF Public License
 *   along with the game (please see the file COPYING).  If not,
 *   please refer to <http://www.wtfpl.net/about/>.
 */

#ifndef     PICKUPS_H
   #define  PICKUPS_H

   void     PICKUPS_load(void);
   void     PICKUPS_unload(void);
   void     PICKUPS_spawn_coin(void);
   void     PICKUPS_remove(void);
   void     PICKUPS_set_coin_hit_callback(void (*callback)(void));
   void     PICKUPS_set_exit_hit_callback(void (*callback)(void));
   void     PICKUPS_spawn_exit(void);
   void     PICKUPS_tick(float hero_x, float hero_y, float hero_radius);
   void     PICKUPS_draw(void);

#endif
