/******************************************************************************
/*   This file is part of the game Various Burst.
 *
 *   Various Burst is free software: you can redistribute it and/or modify
 *   it under the terms of the WTF Public License.
 *
 *   Various Burst is distributed in the hope that players will find it
 *   enjoyable, emotive, educational even, but with NO WARRANTY of any
 *   kind.  What happens to your computer, your dog or your sanity as
 *   a result of this is solely YOUR responsibility.
 *
 *   You should have received a copy of the WTF Public License
 *   along with the game (please see the file COPYING).  If not,
 *   please refer to <http://www.wtfpl.net/about/>.
 */

#ifndef     HERO_H
   #define  HERO_H

   #define  HERO_OUTER_RADIUS 7.5
   #define  HERO_INNER_RADIUS 0.8

   void HERO_load(void);
   void HERO_init(void);
   void HERO_draw(void);
   void HERO_get_pos(float *out_x, float *out_y);
   void HERO_tick(unsigned up, unsigned down, unsigned left, unsigned right, unsigned fire, unsigned evade);
   void HERO_stop(void);
   void HERO_unload(void);
#endif
