/******************************************************************************
/*   This file is part of the game Various Burst.
 *
 *   Various Burst is free software: you can redistribute it and/or modify
 *   it under the terms of the WTF Public License.
 *
 *   Various Burst is distributed in the hope that players will find it
 *   enjoyable, emotive, educational even, but with NO WARRANTY of any
 *   kind.  What happens to your computer, your dog or your sanity as
 *   a result of this is solely YOUR responsibility.
 *
 *   You should have received a copy of the WTF Public License
 *   along with the game (please see the file COPYING).  If not,
 *   please refer to <http://www.wtfpl.net/about/>.
 */
#ifndef     HIGHSCORE_H
   #define  HIGHSCORE_H

   unsigned HIGHSCORE_compute_total(unsigned num_stages, unsigned time_survived, unsigned coins_gotten);
   BOOL     HIGHSCORE_check_ranked(unsigned score);
   void     HIGHSCORE_append(unsigned score, const char *initials);
   void     HIGHSCORE_display(BITMAP *dest);
   void     HIGHSCORE_flush(void);

#endif
